{
        name: "tearstains",
        "onStart(target) {
            this.effectState.stacks = 1;
            this.add('-message', `${target.name} 获得了泪痕标记！当前层数：1`);
        },
        "onRestart(target) {
            this.effectState.stacks++;
            this.add('-message', `${target.name} 的泪痕标记叠加！当前层数：${this.effectState.stacks}`);
        },
        "onResidual(target) {
            if (target && !target.fainted) {
                this.add('-message', `${target.name} 的泪痕标记层数：${this.effectState.stacks}`);
            }
        },
        "onEnd(target) {
            this.add('-message', `${target.name} 的泪痕标记消失了！`);
        }
}